@echo off

rem Daily Logger.bat
rem 2008-05-19
rem Chieh Cheng
rem http://www.CynosureX.com/

rem GNU General Public License (GPL) Version 2, June 1991

  set logDir=Logs

  %~d0
  cd %~p0

  if not exist %logDir% mkdir %logDir%

  call SetNumberOfArguments.bat %*
  set args=%NumberOfArguments%
  if not %args% == 2 goto :help

  set execPath=%2
  set extension=%~x1
  set templatePath=%1
  if not exist %templatePath% goto :templateMissing

  call SetDateVariables.bat
  set date=%yyyy%-%mm%-%dd%
  set filePath="%logDir%\%date%%extension%"

  if exist %filePath% goto :load

  copy %templatePath% %filePath%
  goto :load

:help
  echo.
  echo Usage:   Logger.bat "template path" "program path"
  echo.
  goto :error

:load
  if not exist %execPath% goto :noExecutable
  %execPath% %filePath%
  goto :end

:noExecutable
  echo.
  echo Unable to find the following program to load the mileage log:
  echo   %execPath%
  echo Please correct the problem.
  echo Or double-click the %filePath% file manually.
  echo.
  goto :error

:templateMissing
  echo.
  echo Unable to find the following mileage log to copy:
  echo   %templatePath%
  echo Could not create a new log. Please correct the problem.
  echo.
  goto :error

:error
  pause

:end
